Codepage

## Classes

class | booster::locale::conv::conversion_error
| The excepton that is thrown in case of conversion error. More...
class | booster::locale::conv::invalid_charset_error
| This exception is thrown in case of use of unsupported or invalid character set. More...

## Enumerations

enum | booster::locale::conv::method_type { booster::locale::conv::skip = 0, booster::locale::conv::stop = 1, booster::locale::conv::default_method = skip }

## Functions

template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | booster::locale::conv::utf_to_utf (CharIn const *begin, CharIn const *end, method_type how=default_method)
template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | booster::locale::conv::utf_to_utf (CharIn const *str, method_type how=default_method)
template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | booster::locale::conv::utf_to_utf (std::basic_string< CharIn > const &str, method_type how=default_method)

## Detailed Description

## Enumeration Type Documentation

enum booster::locale::conv::method_type

enum that defines conversion policy

Enumerator
skip | Skip illegal/unconvertable characters.
stop | Stop conversion and throw conversion_error.
default_method | Default method - skip.

## Function Documentation

template<typename CharOut , typename CharIn >

std::basic_string<CharOut> booster::locale::conv::utf_to_utf | ( | CharIn const * | begin,
|  | CharIn const * | end,
|  | method_type | how = `default_method`
| ) |  |

Convert a Unicode text in range [begin,end) to other Unicode encoding

References booster::locale::conv::stop.

template<typename CharOut , typename CharIn >

std::basic_string<CharOut> booster::locale::conv::utf_to_utf | ( | CharIn const * | str,
|  | method_type | how = `default_method`
| ) |  |

Convert a Unicode NUL terminated string str other Unicode encoding

template<typename CharOut , typename CharIn >

std::basic_string<CharOut> booster::locale::conv::utf_to_utf | ( | std::basic_string< CharIn > const & | str,
|  | method_type | how = `default_method`
| ) |  |

Convert a Unicode string str other Unicode encoding